/***************************************************************************
 *   Copyright (C) 2004 by Giacomo Lozito                                  *
 *   city_hunter@users.sf.net                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#define QUAQUT_PROTOCOL_UT2004 0

#define QUAQUT_SERVERINFO      0
#define QUAQUT_GAMEINFO        1
#define QUAQUT_PLAYERINFO      2
#define QUAQUT_GAMEPLAYERINFO  3

/* [GAME_PROTOCOL][INFORMATION_TYPE][SIZE] */

static char quaqut_query_string[1][4][5] =
{
  {
    { 0x7f , 0x00 , 0x00 , 0x00 , 0x00 } ,
    { 0x7f , 0x00 , 0x00 , 0x00 , 0x01 } ,
    { 0x7f , 0x00 , 0x00 , 0x00 , 0x02 } ,
    { 0x7f , 0x00 , 0x00 , 0x00 , 0x03 }
  }
};

static char quaqut_raw_label[1][3][12] =
{
  {
    { ".servinfo" } ,
    { ".gameinfo" } ,
    { ".playerinfo" }
  }
};
